/ comp / gb.qt / action
Action (gb.qt)
This class is used for managing actions.

An action is a string key that link together controls that must have the same goal.

For example, a "Save" Menu entry and a Button in a ToolBar with a "Save" icon. Instead of having to make control groups and catching events, you can use actions to:

- Centralize your event dispatching in one event handler. See Raise for more information.
- Automatically synchronize toggle buttons and menus associated with an action.
- Globally enable or disable buttons and menus.

Symbols
This class is creatable.
This class acts like a read-only array.

Static methods |
Get Lock Raise Register UnLock |

Properties |
Enabled Picture Text ToolTip Value Visible |

The following controls can be linked to an action:

- Button
- CheckBox
- Menu
- SidePanel
- ToggleButton
- ToolBar
- ToolButton
- Window